/**
 *  Copyright (c) 2014, 
 *  BTC Embedded Systems AG, Oldenburg, Germany  
 *  All rights reserved
 *  --------------------------------------------------------- 
 *  $Author: $
 *  $Date: $
 *  $Revision: $
 **/
package com.btc.ep.base.bl;

/**
 * Offer a textual description (as String).
 * @author Stefan Haeusler
 */
public interface DescribableElement extends NamedElement {

    /**
     * Get the description.
     * 
     * @return The description.
     */
    public String getDescription();

    /**
     * Set the description.
     * 
     * @param description The description.
     */
    public void setDescription(String description);
}