/**
 *  @file   DescribableElementImpl.java
 *  @brief  Implementation for interface DescribableElement.
 *  @author stefanh
 *
 *  --------------------------------------------------------- 
 *  Copyright (c) 2014, 
 *  BTC Embedded Systems AG, Oldenburg, Germany  
 *  All rights reserved
 *  --------------------------------------------------------- 
 *  $Author: $
 *  $Date: $
 *  $Revision: $
 **/
package com.btc.ep.base.bl.impl;

import com.btc.ep.base.bl.DescribableElement;

/**
 * Implementation for interface DescribableElement.
 */
public class DescribableElementImpl extends NamedElementImpl implements DescribableElement {

    private String description;

    @Override
    public String getDescription() {
        return description == null ? "" : description;
    }

    @Override
    public void setDescription(String description) {
        this.description = description;
    }
}
