/**
 * 
 */
package com.btc.ep.base.bl.impl;

import com.btc.ep.base.bl.NamedElement;

/**
 * A Named Element is simply a name with a name attribute. Concrete classes
 * that should have a name, should extend this class.
 * 
 * @author stefanh
 */
public abstract class NamedElementImpl extends ModelElementImpl implements NamedElement {

    private String name;

    @Override
    public String getName() {
        return name == null ? "" : name;
    }

    @Override
    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return this.getName();
    }
}
