/**
 *  @file   ProfileImpl.java
 *  @brief  A Profile is a ... // TODO explain in detail
 *  @author prometheus-team
 *
 *  --------------------------------------------------------- 
 *  Copyright (c) 2014, 
 *  BTC Embedded Systems AG, Oldenburg, Germany  
 *  All rights reserved
 *  --------------------------------------------------------- 
 *  $Author: myname $
 *  $Date: 2014-09-24 10:32:35 +0200 (Mi, 24 Sep 2014) $
 *  $Revision: 452 $
 **/
package com.btc.ep.base.bl.impl;

import java.io.File;
import java.util.HashSet;
import java.util.Set;

import com.btc.ep.base.bl.Mapping;
import com.btc.ep.base.bl.Profile;

/**
 * 
 * This ProfileImpl
 */
public class ProfileImpl extends NamedElementImpl implements Profile {

    // FIXME Date created; String creator; boolean isSaved; Date lastModified; String modifier;
    
    private transient File path;
    
    private Set<Mapping> mappings = new HashSet<Mapping>();

    @Override
    public String getName() {
        if (getFilePath() != null) {
            return getFilePath().getName();
        }
        return "";
    }

    @Override
    public void setName(String name) {
        if (getFilePath() != null) {
            setFilePath(new File(getFilePath().getParentFile(), name));
        } else {
            //			setFilePath(new File(name));
        }
    }

    @Override
    public File getFilePath() {
        return this.path;
    }

    @Override
    public void setFilePath(File filepath) {
        this.path = filepath;
    }

//    @Override
//    public void addMessage(Message msg) {
//        // get the message dto
//        getData().addMessage(msg);
//    }
//
//    @Override
//    public void clearMessages() {
//        getData().deleteAllMessages();
//    }
//
//    @Override
//    public void clearMessages(ModelElement causingObject) {
//        getData().deleteAllMessages(causingObject);
//    }

//    @Override
//    public void save() {
//        getData().save();
//    }

    @Override
    public void addMapping(Mapping map) {
        mappings.add(map);
    }

    @Override
    public void removeMapping(Mapping map) {
        mappings.remove(map);
    }
}