package com.btc.ep.requirement.bl.impl;

import com.btc.ep.base.bl.impl.DescribableElementImpl;
import com.btc.ep.base.bl.impl.ModelElementImpl;
import com.btc.ep.requirement.bl.Requirement;
import com.btc.ep.requirement.bl.RequirementsSource;
import com.btc.ep.requirement.bl.impl.ext.RequirementExt;


public class RequirementImpl4  extends DescribableElementImpl implements Requirement {

    private String identifier;

    private String url;

    private RequirementsSource source;

    private boolean removed;

    protected RequirementImpl4() {
    }

    public RequirementImpl4(RequirementsSource source) {
        this.source = source;
    }

    public RequirementsSource getSource() {
        return source;
    }

    @Override
    public String getIdentifier() {
        return identifier;
    }

    @Override
    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    @Override
    public String getURL() {
        return url;
    }

    @Override
    public void setURL(String url) {
        this.url = url;
    }

    @Override
    public boolean isRemoved() {
        return removed;
    }

    @Override
    public void setRemoved(boolean removed) {
        this.removed = removed;
    }

    @Override
    public RequirementsSource getRequirementsSource() {
        return this.source;
    }

}
